"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validUrlSchema = void 0;
const yup_1 = require("yup");
const getIsValidUrl_1 = require("./getIsValidUrl");
exports.validUrlSchema = (0, yup_1.string)().test(function (value) {
    const token = this.parent?.token;
    if (value) {
        try {
            const isValidUrl = (0, getIsValidUrl_1.getIsValidUrl)({ value, token });
            return isValidUrl;
        }
        catch (e) {
            return false;
        }
    }
    return true;
});
//# sourceMappingURL=validUrlSchema.js.map