import { ReplyWithPostMessageType } from '../lib/sdkDappUtils';
interface BaseType {
    postMessageData: ReplyWithPostMessageType;
}
interface IframeReplyType extends BaseType {
    target: HTMLIFrameElement;
    callbackUrl?: never;
}
interface OpenerReplyType extends BaseType {
    target: Window;
    callbackUrl: string;
}
type ReplyWithPostMessageJoinedType = IframeReplyType | OpenerReplyType;
export declare const replyWithPostMessage: ({ postMessageData: props, callbackUrl, target }: ReplyWithPostMessageJoinedType) => void;
export {};
