"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.replyQsUrl = void 0;
function replyQsUrl({ callbackUrl, qsStr }) {
    if (!qsStr || !callbackUrl) {
        return callbackUrl;
    }
    const { search, origin, pathname, hash } = new URL(callbackUrl);
    const newSearch = search ? `${search}&${qsStr}` : `?${qsStr}`;
    return `${origin}${pathname}${newSearch}${hash}`;
}
exports.replyQsUrl = replyQsUrl;
//# sourceMappingURL=replyQsUrl.js.map